Package owl.grammar

## Interface LTLParserVisitor<T>

- Type Parameters:
    `T` - The return type of the visit operation. Use `Void` for operations with no return type.
  All Superinterfaces:
    `org.antlr.v4.runtime.tree.ParseTreeVisitor<T>`
  All Known Implementing Classes:
    `LTLParserBaseVisitor`

      public interface LTLParserVisitor<T>
      extends org.antlr.v4.runtime.tree.ParseTreeVisitor<T>

  This interface defines a complete generic visitor for a parse tree produced by `LTLParser`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `T` | `visitAndExpression​(LTLParser.AndExpressionContext ctx)` | Visit a parse tree produced by `LTLParser.andExpression()`.
    `T` | `visitBinaryOp​(LTLParser.BinaryOpContext ctx)` | Visit a parse tree produced by `LTLParser.binaryOp()`.
    `T` | `visitBinaryOperation​(LTLParser.BinaryOperationContext ctx)` | Visit a parse tree produced by the `binaryOperation` labeled alternative in `LTLParser.binaryExpression()`.
    `T` | `visitBinaryUnary​(LTLParser.BinaryUnaryContext ctx)` | Visit a parse tree produced by the `binaryUnary` labeled alternative in `LTLParser.binaryExpression()`.
    `T` | `visitBool​(LTLParser.BoolContext ctx)` | Visit a parse tree produced by `LTLParser.bool()`.
    `T` | `visitBoolean​(LTLParser.BooleanContext ctx)` | Visit a parse tree produced by the `boolean` labeled alternative in `LTLParser.atomExpression()`.
    `T` | `visitComparison​(LTLParser.ComparisonContext ctx)` | Visit a parse tree produced by `LTLParser.comparison()`.
    `T` | `visitDoubleQuotedVariable​(LTLParser.DoubleQuotedVariableContext ctx)` | Visit a parse tree produced by the `doubleQuotedVariable` labeled alternative in `LTLParser.atomExpression()`.
    `T` | `visitExpression​(LTLParser.ExpressionContext ctx)` | Visit a parse tree produced by `LTLParser.expression()`.
    `T` | `visitFormula​(LTLParser.FormulaContext ctx)` | Visit a parse tree produced by `LTLParser.formula()`.
    `T` | `visitFraction​(LTLParser.FractionContext ctx)` | Visit a parse tree produced by the `fraction` labeled alternative in `LTLParser.frequencySpec()`.
    `T` | `visitFrequencyOp​(LTLParser.FrequencyOpContext ctx)` | Visit a parse tree produced by `LTLParser.frequencyOp()`.
    `T` | `visitNested​(LTLParser.NestedContext ctx)` | Visit a parse tree produced by the `nested` labeled alternative in `LTLParser.atomExpression()`.
    `T` | `visitOrExpression​(LTLParser.OrExpressionContext ctx)` | Visit a parse tree produced by `LTLParser.orExpression()`.
    `T` | `visitProbability​(LTLParser.ProbabilityContext ctx)` | Visit a parse tree produced by the `probability` labeled alternative in `LTLParser.frequencySpec()`.
    `T` | `visitSingleQuotedVariable​(LTLParser.SingleQuotedVariableContext ctx)` | Visit a parse tree produced by the `singleQuotedVariable` labeled alternative in `LTLParser.atomExpression()`.
    `T` | `visitUnaryAtom​(LTLParser.UnaryAtomContext ctx)` | Visit a parse tree produced by the `unaryAtom` labeled alternative in `LTLParser.unaryExpression()`.
    `T` | `visitUnaryOp​(LTLParser.UnaryOpContext ctx)` | Visit a parse tree produced by `LTLParser.unaryOp()`.
    `T` | `visitUnaryOperation​(LTLParser.UnaryOperationContext ctx)` | Visit a parse tree produced by the `unaryOperation` labeled alternative in `LTLParser.unaryExpression()`.
    `T` | `visitVariable​(LTLParser.VariableContext ctx)` | Visit a parse tree produced by the `variable` labeled alternative in `LTLParser.atomExpression()`.

    - ### Methods inherited from interface org.antlr.v4.runtime.tree.ParseTreeVisitor

      `visit, visitChildren, visitErrorNode, visitTerminal`

- - ### Method Detail

    - #### visitFormula

          T visitFormula​(LTLParser.FormulaContext ctx)

      Visit a parse tree produced by `LTLParser.formula()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitExpression

          T visitExpression​(LTLParser.ExpressionContext ctx)

      Visit a parse tree produced by `LTLParser.expression()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitOrExpression

          T visitOrExpression​(LTLParser.OrExpressionContext ctx)

      Visit a parse tree produced by `LTLParser.orExpression()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitAndExpression

          T visitAndExpression​(LTLParser.AndExpressionContext ctx)

      Visit a parse tree produced by `LTLParser.andExpression()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitBinaryOperation

          T visitBinaryOperation​(LTLParser.BinaryOperationContext ctx)

      Visit a parse tree produced by the `binaryOperation` labeled alternative in `LTLParser.binaryExpression()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitBinaryUnary

          T visitBinaryUnary​(LTLParser.BinaryUnaryContext ctx)

      Visit a parse tree produced by the `binaryUnary` labeled alternative in `LTLParser.binaryExpression()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitUnaryOperation

          T visitUnaryOperation​(LTLParser.UnaryOperationContext ctx)

      Visit a parse tree produced by the `unaryOperation` labeled alternative in `LTLParser.unaryExpression()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitUnaryAtom

          T visitUnaryAtom​(LTLParser.UnaryAtomContext ctx)

      Visit a parse tree produced by the `unaryAtom` labeled alternative in `LTLParser.unaryExpression()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitBoolean

          T visitBoolean​(LTLParser.BooleanContext ctx)

      Visit a parse tree produced by the `boolean` labeled alternative in `LTLParser.atomExpression()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitVariable

          T visitVariable​(LTLParser.VariableContext ctx)

      Visit a parse tree produced by the `variable` labeled alternative in `LTLParser.atomExpression()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitSingleQuotedVariable

          T visitSingleQuotedVariable​(LTLParser.SingleQuotedVariableContext ctx)

      Visit a parse tree produced by the `singleQuotedVariable` labeled alternative in `LTLParser.atomExpression()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitDoubleQuotedVariable

          T visitDoubleQuotedVariable​(LTLParser.DoubleQuotedVariableContext ctx)

      Visit a parse tree produced by the `doubleQuotedVariable` labeled alternative in `LTLParser.atomExpression()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitNested

          T visitNested​(LTLParser.NestedContext ctx)

      Visit a parse tree produced by the `nested` labeled alternative in `LTLParser.atomExpression()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitUnaryOp

          T visitUnaryOp​(LTLParser.UnaryOpContext ctx)

      Visit a parse tree produced by `LTLParser.unaryOp()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitBinaryOp

          T visitBinaryOp​(LTLParser.BinaryOpContext ctx)

      Visit a parse tree produced by `LTLParser.binaryOp()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitBool

          T visitBool​(LTLParser.BoolContext ctx)

      Visit a parse tree produced by `LTLParser.bool()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitFrequencyOp

          T visitFrequencyOp​(LTLParser.FrequencyOpContext ctx)

      Visit a parse tree produced by `LTLParser.frequencyOp()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitFraction

          T visitFraction​(LTLParser.FractionContext ctx)

      Visit a parse tree produced by the `fraction` labeled alternative in `LTLParser.frequencySpec()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitProbability

          T visitProbability​(LTLParser.ProbabilityContext ctx)

      Visit a parse tree produced by the `probability` labeled alternative in `LTLParser.frequencySpec()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitComparison

          T visitComparison​(LTLParser.ComparisonContext ctx)

      Visit a parse tree produced by `LTLParser.comparison()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result